Skip to content

MindSphere Operations Insight Plugin SDK – FAQ

Why does npm install output errors?

Why is the plugin not displayed in Operations Insight?

  • The plugin has not been created with type Operations Insight Plugin
  • The required role is not assigned to your user.
  • You have not logged out and logged back in after assigning the role to your user.
  • The plugin is not provisioned for this tenant.
  • The plugin configuration is invalid.

Why is the plugin shown on the Launchpad?

  • The plugin has been registered in the Developer Cockpit as a normal app instead of as Operations Insight Plugin.

Why don't I have the permission to access MindSphere APIs?

  • The required roles have not been assigned to the plugin in the Developer Cockpit.

Why can't I load libraries like bootstrap in my plugin?

  • The CSP header has not been customized in the Developer Cockpit.

How do I remove the plugin from my tenant?

  • Remove the plugin roles from your user (selected users only).
  • Remove it via the Operator Cockpit (all users of the tenant).

Why do I get a pop-up to re-authenticate my session for the plugin?

Operations Insight Plugin- re-authenticate session

  • The Operations Insight Plugin SDK is not integrated properly.
  • The plugin does not send any requests to the MindSphere backend and therefore the plugin session expired.
    • Click on the button to re-authenticate your MindSphere session for the plugin in an extra tab and reload Operations Insight afterwards.
    • Refresh the app token automatically, by periodically sending a ping to a MindSphere backend service (don't forget to add the required roles), e.g.:

      setInterval(refreshToken, 60000);
      
      function refreshToken() {
          var xhr = new XMLHttpRequest();
          xhr.open('GET', 'api/assetmanagement/v3/assets?size=1', true);
          xhr.send();
      }
      

I used the Fleet Manager Plugin SDK in the past. How can I upgrade to use the Operations Insight Plugin SDK?

The Operations Insight Plugin SDK is fully compatible. All interfaces and functionality known from the Fleet Manager Plugin SDK is also available now.

  • Replace the mindsphere-fm-plugin-sdk_{version}.tgz in your project with the latest mindsphere-oi-plugin-sdk_{version}.tgz
  • Run npm i or npm i mindsphere-oi-plugin-sdk_{version}.tgzdepending on where you saved the sources.
  • Rename in your sources the variables fmProxy and fmPluginBootstrapper to oiProxy and oiPluginBootstrapper.
  • Build your plugin and deploy it.
  • Register it in MindSphere Developer Cockpit as Operations Insight Plugin.

Any questions left?

Ask the community


Except where otherwise noted, content on this site is licensed under the MindSphere Development License Agreement.


Last update: November 18, 2021